## 项目描述:

该项目是由 node.js 为 webServer,react 结合 redux 的前端框架进行封装

本地开发需要在 config 目录下建立 local.json 文件进行本地环境配置

在项目目录下执行初始化命令:

> `npm run init`

在项目目录下执行命令启动本地开发环境:

> `npm run start`

测试环境的打包:

> `npm run deploy:test`

生产环境打包:

> `npm run deploy:prod`

## 项目目录：

> bin 可执行文件

> build webpack 配置文件

> config 项目配置文件

> dist 项目打包生成目录

> server 本地服务主程序

> src 项目资源目录

## 项目配置：

> 在 config 目录下的 index 文件,包含该项目的本地、开发、测试、生产都在该文件内进行设置

## webpack 配置：

> 在 build 目录下的 webpack.config 文件,会针对环境的不同进行不同的处理

## 本地 server：

> 本地开发时会启动 webServer 方便开发,server 下的 main 是入口文件,会根据开发环境进行不同的处理,
> 在开发模式下会启动 webpack 的热更新功能,其他模式下会返回 dist 目录下的静态资源模拟线上环境,
> 对项目的 api 访问进行了反向代理,方便以测试环境的 api 请求进行本地开发

## 前端页面资源：

>

#### 前端资源目录:

> components 组件库 独立的样式组件和功能组件

> containers 容器库

> data 数据接口层

> layouts 布局库

> services 扩展服务类

> routes 路由

> static 静态资源文件

> store store 和 reducers 文件

> styles 样式文件

> index.html 入口文件

> main 主程序

##### reducers:

> 目录 src/store

##### 扩展服务类:

> 目录 src/services

##### 路由层:

> 目录 src/routes
