const defaultConfig = {
  compiler_hash_type: 'hash',
  compiler_fail_on_warning: true,
  compiler_stats: 'minimal',
  compiler_vendors: [],
};
module.exports = {
  // ======================================================
  // Overrides when NODE_ENV === 'development'
  // ======================================================
  development: () =>
    Object.assign(defaultConfig, {
      compiler_devtool: 'cheap-eval-source-map',
    }),
  // ======================================================
  // Overrides when NODE_ENV === 'test'
  // ======================================================
  test: () =>
    Object.assign(defaultConfig, {
      compiler_devtool: 'source-map',
    }),
  // ======================================================
  // Overrides when NODE_ENV === 'production'
  // ======================================================
  production: () =>
    Object.assign(defaultConfig, {
      compiler_fail_on_warning: false,
      compiler_hash_type: 'chunkhash',
      compiler_stats: 'verbose',
    }),
};
