import BaseStore from '@src/stores/base';

export default class UsersStore extends BaseStore {
  list(params) {
    return this.apiGet('/user/list', params);
  }

  get(params) {
    return this.apiPost('/user/detail', params);
  }

  add(params) {
    return this.apiPost('/user/add', params);
  }

  edit(params) {
    return this.apiPut('/user/edit', params);
  }

  del(params) {
    return this.apiDel('/user/delete', params);
  }
}

export const Users = new UsersStore({ key: 'users' });
