package com.qxgmat.data.dao.entity;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;

@Table(name = "ad")
public class Ad implements Serializable {
    @Id
    @Column(name = "`id`")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 广告标题
     */
    @Column(name = "`title`")
    private String title;

    /**
     * 广告图片
     */
    @Column(name = "`image`")
    private String image;

    /**
     * 广告位置
     */
    @Column(name = "`position`")
    private Integer position;

    /**
     * 广告链接
     */
    @Column(name = "`link`")
    private String link;

    /**
     * 开始时间
     */
    @Column(name = "`start_time`")
    private Date startTime;

    /**
     * 结束时间
     */
    @Column(name = "`end_time`")
    private Date endTime;

    private static final long serialVersionUID = 1L;

    /**
     * @return id
     */
    public Integer getId() {
        return id;
    }

    /**
     * @param id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取广告标题
     *
     * @return title - 广告标题
     */
    public String getTitle() {
        return title;
    }

    /**
     * 设置广告标题
     *
     * @param title 广告标题
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * 获取广告图片
     *
     * @return image - 广告图片
     */
    public String getImage() {
        return image;
    }

    /**
     * 设置广告图片
     *
     * @param image 广告图片
     */
    public void setImage(String image) {
        this.image = image;
    }

    /**
     * 获取广告位置
     *
     * @return position - 广告位置
     */
    public Integer getPosition() {
        return position;
    }

    /**
     * 设置广告位置
     *
     * @param position 广告位置
     */
    public void setPosition(Integer position) {
        this.position = position;
    }

    /**
     * 获取广告链接
     *
     * @return link - 广告链接
     */
    public String getLink() {
        return link;
    }

    /**
     * 设置广告链接
     *
     * @param link 广告链接
     */
    public void setLink(String link) {
        this.link = link;
    }

    /**
     * 获取开始时间
     *
     * @return start_time - 开始时间
     */
    public Date getStartTime() {
        return startTime;
    }

    /**
     * 设置开始时间
     *
     * @param startTime 开始时间
     */
    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    /**
     * 获取结束时间
     *
     * @return end_time - 结束时间
     */
    public Date getEndTime() {
        return endTime;
    }

    /**
     * 设置结束时间
     *
     * @param endTime 结束时间
     */
    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", title=").append(title);
        sb.append(", image=").append(image);
        sb.append(", position=").append(position);
        sb.append(", link=").append(link);
        sb.append(", startTime=").append(startTime);
        sb.append(", endTime=").append(endTime);
        sb.append("]");
        return sb.toString();
    }

    public static Ad.Builder builder() {
        return new Ad.Builder();
    }

    public static class Builder {
        private Ad obj;

        public Builder() {
            this.obj = new Ad();
        }

        /**
         * @param id
         */
        public Builder id(Integer id) {
            obj.setId(id);
            return this;
        }

        /**
         * 设置广告标题
         *
         * @param title 广告标题
         */
        public Builder title(String title) {
            obj.setTitle(title);
            return this;
        }

        /**
         * 设置广告图片
         *
         * @param image 广告图片
         */
        public Builder image(String image) {
            obj.setImage(image);
            return this;
        }

        /**
         * 设置广告位置
         *
         * @param position 广告位置
         */
        public Builder position(Integer position) {
            obj.setPosition(position);
            return this;
        }

        /**
         * 设置广告链接
         *
         * @param link 广告链接
         */
        public Builder link(String link) {
            obj.setLink(link);
            return this;
        }

        /**
         * 设置开始时间
         *
         * @param startTime 开始时间
         */
        public Builder startTime(Date startTime) {
            obj.setStartTime(startTime);
            return this;
        }

        /**
         * 设置结束时间
         *
         * @param endTime 结束时间
         */
        public Builder endTime(Date endTime) {
            obj.setEndTime(endTime);
            return this;
        }

        public Ad build() {
            return this.obj;
        }
    }
}