package com.qxgmat.data.dao.entity;

import java.io.Serializable;
import javax.persistence.*;

@Table(name = "exercise_paper")
public class ExercisePaper implements Serializable {
    @Id
    @Column(name = "`id`")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 题型
     */
    @Column(name = "`type`")
    private String type;

    /**
     * 组卷逻辑：order ，place，difficult，error
     */
    @Column(name = "`logic`")
    private String logic;

    /**
     * 逻辑
     */
    @Column(name = "`logic_extend`")
    private String logicExtend;

    /**
     * 分册
     */
    @Column(name = "`struct_id`")
    private Integer structId;

    /**
     * 所有父级id，逗号分隔
     */
    @Column(name = "`struct_parent`")
    private Integer[] structParent;

    /**
     * 组卷名称
     */
    @Column(name = "`title`")
    private String title;

    /**
     * 题目数量
     */
    @Column(name = "`question_number`")
    private Integer questionNumber;

    /**
     * 开放状态：0关闭，1开启
     */
    @Column(name = "`status`")
    private Integer status;

    private static final long serialVersionUID = 1L;

    /**
     * @return id
     */
    public Integer getId() {
        return id;
    }

    /**
     * @param id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取题型
     *
     * @return type - 题型
     */
    public String getType() {
        return type;
    }

    /**
     * 设置题型
     *
     * @param type 题型
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * 获取组卷逻辑：order ，place，difficult，error
     *
     * @return logic - 组卷逻辑：order ，place，difficult，error
     */
    public String getLogic() {
        return logic;
    }

    /**
     * 设置组卷逻辑：order ，place，difficult，error
     *
     * @param logic 组卷逻辑：order ，place，difficult，error
     */
    public void setLogic(String logic) {
        this.logic = logic;
    }

    /**
     * 获取逻辑
     *
     * @return logic_extend - 逻辑
     */
    public String getLogicExtend() {
        return logicExtend;
    }

    /**
     * 设置逻辑
     *
     * @param logicExtend 逻辑
     */
    public void setLogicExtend(String logicExtend) {
        this.logicExtend = logicExtend;
    }

    /**
     * 获取分册
     *
     * @return struct_id - 分册
     */
    public Integer getStructId() {
        return structId;
    }

    /**
     * 设置分册
     *
     * @param structId 分册
     */
    public void setStructId(Integer structId) {
        this.structId = structId;
    }

    /**
     * 获取所有父级id，逗号分隔
     *
     * @return struct_parent - 所有父级id，逗号分隔
     */
    public Integer[] getStructParent() {
        return structParent;
    }

    /**
     * 设置所有父级id，逗号分隔
     *
     * @param structParent 所有父级id，逗号分隔
     */
    public void setStructParent(Integer[] structParent) {
        this.structParent = structParent;
    }

    /**
     * 获取组卷名称
     *
     * @return title - 组卷名称
     */
    public String getTitle() {
        return title;
    }

    /**
     * 设置组卷名称
     *
     * @param title 组卷名称
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * 获取题目数量
     *
     * @return question_number - 题目数量
     */
    public Integer getQuestionNumber() {
        return questionNumber;
    }

    /**
     * 设置题目数量
     *
     * @param questionNumber 题目数量
     */
    public void setQuestionNumber(Integer questionNumber) {
        this.questionNumber = questionNumber;
    }

    /**
     * 获取开放状态：0关闭，1开启
     *
     * @return status - 开放状态：0关闭，1开启
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * 设置开放状态：0关闭，1开启
     *
     * @param status 开放状态：0关闭，1开启
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", type=").append(type);
        sb.append(", logic=").append(logic);
        sb.append(", logicExtend=").append(logicExtend);
        sb.append(", structId=").append(structId);
        sb.append(", structParent=").append(structParent);
        sb.append(", title=").append(title);
        sb.append(", questionNumber=").append(questionNumber);
        sb.append(", status=").append(status);
        sb.append("]");
        return sb.toString();
    }

    public static ExercisePaper.Builder builder() {
        return new ExercisePaper.Builder();
    }

    public static class Builder {
        private ExercisePaper obj;

        public Builder() {
            this.obj = new ExercisePaper();
        }

        /**
         * @param id
         */
        public Builder id(Integer id) {
            obj.setId(id);
            return this;
        }

        /**
         * 设置题型
         *
         * @param type 题型
         */
        public Builder type(String type) {
            obj.setType(type);
            return this;
        }

        /**
         * 设置组卷逻辑：order ，place，difficult，error
         *
         * @param logic 组卷逻辑：order ，place，difficult，error
         */
        public Builder logic(String logic) {
            obj.setLogic(logic);
            return this;
        }

        /**
         * 设置逻辑
         *
         * @param logicExtend 逻辑
         */
        public Builder logicExtend(String logicExtend) {
            obj.setLogicExtend(logicExtend);
            return this;
        }

        /**
         * 设置分册
         *
         * @param structId 分册
         */
        public Builder structId(Integer structId) {
            obj.setStructId(structId);
            return this;
        }

        /**
         * 设置所有父级id，逗号分隔
         *
         * @param structParent 所有父级id，逗号分隔
         */
        public Builder structParent(Integer[] structParent) {
            obj.setStructParent(structParent);
            return this;
        }

        /**
         * 设置组卷名称
         *
         * @param title 组卷名称
         */
        public Builder title(String title) {
            obj.setTitle(title);
            return this;
        }

        /**
         * 设置题目数量
         *
         * @param questionNumber 题目数量
         */
        public Builder questionNumber(Integer questionNumber) {
            obj.setQuestionNumber(questionNumber);
            return this;
        }

        /**
         * 设置开放状态：0关闭，1开启
         *
         * @param status 开放状态：0关闭，1开启
         */
        public Builder status(Integer status) {
            obj.setStatus(status);
            return this;
        }

        public ExercisePaper build() {
            return this.obj;
        }
    }
}