package com.qxgmat.data.dao.entity;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;

@Table(name = "homework_preview")
public class HomeworkPreview implements Serializable {
    @Id
    @Column(name = "`id`")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 作业标题
     */
    @Column(name = "`title`")
    private String title;

    /**
     * 课程id：读取struct第二层
     */
    @Column(name = "`category`")
    private Integer category;

    /**
     * 题目id：json
     */
    @Column(name = "`question_ids`")
    private Integer[] questionIds;

    /**
     * 制定作业用户id：json
     */
    @Column(name = "`user_ids`")
    private Integer[] userIds;

    /**
     * 作业开始时间
     */
    @Column(name = "`start_time`")
    private Date startTime;

    /**
     * 作业结束时间
     */
    @Column(name = "`end_time`")
    private Date endTime;

    /**
     * 完成人数
     */
    @Column(name = "`finish`")
    private Integer finish;

    @Column(name = "`create_time`")
    private Date createTime;

    @Column(name = "`update_time`")
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    /**
     * @return id
     */
    public Integer getId() {
        return id;
    }

    /**
     * @param id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取作业标题
     *
     * @return title - 作业标题
     */
    public String getTitle() {
        return title;
    }

    /**
     * 设置作业标题
     *
     * @param title 作业标题
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * 获取课程id：读取struct第二层
     *
     * @return category - 课程id：读取struct第二层
     */
    public Integer getCategory() {
        return category;
    }

    /**
     * 设置课程id：读取struct第二层
     *
     * @param category 课程id：读取struct第二层
     */
    public void setCategory(Integer category) {
        this.category = category;
    }

    /**
     * 获取题目id：json
     *
     * @return question_ids - 题目id：json
     */
    public Integer[] getQuestionIds() {
        return questionIds;
    }

    /**
     * 设置题目id：json
     *
     * @param questionIds 题目id：json
     */
    public void setQuestionIds(Integer[] questionIds) {
        this.questionIds = questionIds;
    }

    /**
     * 获取制定作业用户id：json
     *
     * @return user_ids - 制定作业用户id：json
     */
    public Integer[] getUserIds() {
        return userIds;
    }

    /**
     * 设置制定作业用户id：json
     *
     * @param userIds 制定作业用户id：json
     */
    public void setUserIds(Integer[] userIds) {
        this.userIds = userIds;
    }

    /**
     * 获取作业开始时间
     *
     * @return start_time - 作业开始时间
     */
    public Date getStartTime() {
        return startTime;
    }

    /**
     * 设置作业开始时间
     *
     * @param startTime 作业开始时间
     */
    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    /**
     * 获取作业结束时间
     *
     * @return end_time - 作业结束时间
     */
    public Date getEndTime() {
        return endTime;
    }

    /**
     * 设置作业结束时间
     *
     * @param endTime 作业结束时间
     */
    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    /**
     * 获取完成人数
     *
     * @return finish - 完成人数
     */
    public Integer getFinish() {
        return finish;
    }

    /**
     * 设置完成人数
     *
     * @param finish 完成人数
     */
    public void setFinish(Integer finish) {
        this.finish = finish;
    }

    /**
     * @return create_time
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * @return update_time
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * @param updateTime
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", title=").append(title);
        sb.append(", category=").append(category);
        sb.append(", questionIds=").append(questionIds);
        sb.append(", userIds=").append(userIds);
        sb.append(", startTime=").append(startTime);
        sb.append(", endTime=").append(endTime);
        sb.append(", finish=").append(finish);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append("]");
        return sb.toString();
    }

    public static HomeworkPreview.Builder builder() {
        return new HomeworkPreview.Builder();
    }

    public static class Builder {
        private HomeworkPreview obj;

        public Builder() {
            this.obj = new HomeworkPreview();
        }

        /**
         * @param id
         */
        public Builder id(Integer id) {
            obj.setId(id);
            return this;
        }

        /**
         * 设置作业标题
         *
         * @param title 作业标题
         */
        public Builder title(String title) {
            obj.setTitle(title);
            return this;
        }

        /**
         * 设置课程id：读取struct第二层
         *
         * @param category 课程id：读取struct第二层
         */
        public Builder category(Integer category) {
            obj.setCategory(category);
            return this;
        }

        /**
         * 设置题目id：json
         *
         * @param questionIds 题目id：json
         */
        public Builder questionIds(Integer[] questionIds) {
            obj.setQuestionIds(questionIds);
            return this;
        }

        /**
         * 设置制定作业用户id：json
         *
         * @param userIds 制定作业用户id：json
         */
        public Builder userIds(Integer[] userIds) {
            obj.setUserIds(userIds);
            return this;
        }

        /**
         * 设置作业开始时间
         *
         * @param startTime 作业开始时间
         */
        public Builder startTime(Date startTime) {
            obj.setStartTime(startTime);
            return this;
        }

        /**
         * 设置作业结束时间
         *
         * @param endTime 作业结束时间
         */
        public Builder endTime(Date endTime) {
            obj.setEndTime(endTime);
            return this;
        }

        /**
         * 设置完成人数
         *
         * @param finish 完成人数
         */
        public Builder finish(Integer finish) {
            obj.setFinish(finish);
            return this;
        }

        /**
         * @param createTime
         */
        public Builder createTime(Date createTime) {
            obj.setCreateTime(createTime);
            return this;
        }

        /**
         * @param updateTime
         */
        public Builder updateTime(Date updateTime) {
            obj.setUpdateTime(updateTime);
            return this;
        }

        public HomeworkPreview build() {
            return this.obj;
        }
    }
}