package com.qxgmat.data.dao.entity;

import java.io.Serializable;
import javax.persistence.*;

@Table(name = "question_no")
public class QuestionNo implements Serializable {
    @Id
    @Column(name = "`id`")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 题目id
     */
    @Column(name = "`question_id`")
    private Integer questionId;

    /**
     * 模块：examination, exercise,sentence
     */
    @Column(name = "`module`")
    private String module;

    /**
     * 人工id
     */
    @Column(name = "`no`")
    private String no;

    /**
     * 对应模块结构信息，逗号分隔
     */
    @Column(name = "`module_struct`")
    private String moduleStruct;

    private static final long serialVersionUID = 1L;

    /**
     * @return id
     */
    public Integer getId() {
        return id;
    }

    /**
     * @param id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取题目id
     *
     * @return question_id - 题目id
     */
    public Integer getQuestionId() {
        return questionId;
    }

    /**
     * 设置题目id
     *
     * @param questionId 题目id
     */
    public void setQuestionId(Integer questionId) {
        this.questionId = questionId;
    }

    /**
     * 获取模块：examination, exercise,sentence
     *
     * @return module - 模块：examination, exercise,sentence
     */
    public String getModule() {
        return module;
    }

    /**
     * 设置模块：examination, exercise,sentence
     *
     * @param module 模块：examination, exercise,sentence
     */
    public void setModule(String module) {
        this.module = module;
    }

    /**
     * 获取人工id
     *
     * @return no - 人工id
     */
    public String getNo() {
        return no;
    }

    /**
     * 设置人工id
     *
     * @param no 人工id
     */
    public void setNo(String no) {
        this.no = no;
    }

    /**
     * 获取对应模块结构信息，逗号分隔
     *
     * @return module_struct - 对应模块结构信息，逗号分隔
     */
    public String getModuleStruct() {
        return moduleStruct;
    }

    /**
     * 设置对应模块结构信息，逗号分隔
     *
     * @param moduleStruct 对应模块结构信息，逗号分隔
     */
    public void setModuleStruct(String moduleStruct) {
        this.moduleStruct = moduleStruct;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", questionId=").append(questionId);
        sb.append(", module=").append(module);
        sb.append(", no=").append(no);
        sb.append(", moduleStruct=").append(moduleStruct);
        sb.append("]");
        return sb.toString();
    }

    public static QuestionNo.Builder builder() {
        return new QuestionNo.Builder();
    }

    public static class Builder {
        private QuestionNo obj;

        public Builder() {
            this.obj = new QuestionNo();
        }

        /**
         * @param id
         */
        public Builder id(Integer id) {
            obj.setId(id);
            return this;
        }

        /**
         * 设置题目id
         *
         * @param questionId 题目id
         */
        public Builder questionId(Integer questionId) {
            obj.setQuestionId(questionId);
            return this;
        }

        /**
         * 设置模块：examination, exercise,sentence
         *
         * @param module 模块：examination, exercise,sentence
         */
        public Builder module(String module) {
            obj.setModule(module);
            return this;
        }

        /**
         * 设置对应模块结构信息，逗号分隔
         *
         * @param moduleStruct 对应模块结构信息，逗号分隔
         */
        public Builder moduleStruct(String moduleStruct) {
            obj.setModuleStruct(moduleStruct);
            return this;
        }

        /**
         * 设置人工id
         *
         * @param no 人工id
         */
        public Builder no(String no) {
            obj.setNo(no);
            return this;
        }

        public QuestionNo build() {
            return this.obj;
        }
    }
}