package com.qxgmat.data.dao.entity;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;

@Table(name = "user_collect")
public class UserCollect implements Serializable {
    @Id
    @Column(name = "`id`")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 用户id
     */
    @Column(name = "`user_id`")
    private Integer userId;

    /**
     * 模块：question,article
     */
    @Column(name = "`module`")
    private String module;

    /**
     * 对应模块id
     */
    @Column(name = "`module_id`")
    private Integer moduleId;

    @Column(name = "`create_time`")
    private Date createTime;

    private static final long serialVersionUID = 1L;

    /**
     * @return id
     */
    public Integer getId() {
        return id;
    }

    /**
     * @param id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取用户id
     *
     * @return user_id - 用户id
     */
    public Integer getUserId() {
        return userId;
    }

    /**
     * 设置用户id
     *
     * @param userId 用户id
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 获取模块：question,article
     *
     * @return module - 模块：question,article
     */
    public String getModule() {
        return module;
    }

    /**
     * 设置模块：question,article
     *
     * @param module 模块：question,article
     */
    public void setModule(String module) {
        this.module = module;
    }

    /**
     * 获取对应模块id
     *
     * @return module_id - 对应模块id
     */
    public Integer getModuleId() {
        return moduleId;
    }

    /**
     * 设置对应模块id
     *
     * @param moduleId 对应模块id
     */
    public void setModuleId(Integer moduleId) {
        this.moduleId = moduleId;
    }

    /**
     * @return create_time
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", userId=").append(userId);
        sb.append(", module=").append(module);
        sb.append(", moduleId=").append(moduleId);
        sb.append(", createTime=").append(createTime);
        sb.append("]");
        return sb.toString();
    }

    public static UserCollect.Builder builder() {
        return new UserCollect.Builder();
    }

    public static class Builder {
        private UserCollect obj;

        public Builder() {
            this.obj = new UserCollect();
        }

        /**
         * @param id
         */
        public Builder id(Integer id) {
            obj.setId(id);
            return this;
        }

        /**
         * 设置用户id
         *
         * @param userId 用户id
         */
        public Builder userId(Integer userId) {
            obj.setUserId(userId);
            return this;
        }

        /**
         * 设置模块：question,article
         *
         * @param module 模块：question,article
         */
        public Builder module(String module) {
            obj.setModule(module);
            return this;
        }

        /**
         * 设置对应模块id
         *
         * @param moduleId 对应模块id
         */
        public Builder moduleId(Integer moduleId) {
            obj.setModuleId(moduleId);
            return this;
        }

        /**
         * @param createTime
         */
        public Builder createTime(Date createTime) {
            obj.setCreateTime(createTime);
            return this;
        }

        public UserCollect build() {
            return this.obj;
        }
    }
}