package com.qxgmat.data.dao.entity;

import java.io.Serializable;
import javax.persistence.*;

@Table(name = "user_paper_question")
public class UserPaperQuestion implements Serializable {
    @Id
    @Column(name = "`id`")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 用户id
     */
    @Column(name = "`user_id`")
    private Integer userId;

    /**
     * 分组id
     */
    @Column(name = "`paper_id`")
    private Integer paperId;

    /**
     * 组卷模块：collect,error
     */
    @Column(name = "`paper_module`")
    private String paperModule;

    private static final long serialVersionUID = 1L;

    /**
     * @return id
     */
    public Integer getId() {
        return id;
    }

    /**
     * @param id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取用户id
     *
     * @return user_id - 用户id
     */
    public Integer getUserId() {
        return userId;
    }

    /**
     * 设置用户id
     *
     * @param userId 用户id
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 获取分组id
     *
     * @return paper_id - 分组id
     */
    public Integer getPaperId() {
        return paperId;
    }

    /**
     * 设置分组id
     *
     * @param paperId 分组id
     */
    public void setPaperId(Integer paperId) {
        this.paperId = paperId;
    }

    /**
     * 获取组卷模块：collect,error
     *
     * @return paper_module - 组卷模块：collect,error
     */
    public String getPaperModule() {
        return paperModule;
    }

    /**
     * 设置组卷模块：collect,error
     *
     * @param paperModule 组卷模块：collect,error
     */
    public void setPaperModule(String paperModule) {
        this.paperModule = paperModule;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", userId=").append(userId);
        sb.append(", paperId=").append(paperId);
        sb.append(", paperModule=").append(paperModule);
        sb.append("]");
        return sb.toString();
    }

    public static UserPaperQuestion.Builder builder() {
        return new UserPaperQuestion.Builder();
    }

    public static class Builder {
        private UserPaperQuestion obj;

        public Builder() {
            this.obj = new UserPaperQuestion();
        }

        /**
         * @param id
         */
        public Builder id(Integer id) {
            obj.setId(id);
            return this;
        }

        /**
         * 设置用户id
         *
         * @param userId 用户id
         */
        public Builder userId(Integer userId) {
            obj.setUserId(userId);
            return this;
        }

        /**
         * 设置分组id
         *
         * @param paperId 分组id
         */
        public Builder paperId(Integer paperId) {
            obj.setPaperId(paperId);
            return this;
        }

        /**
         * 设置组卷模块：collect,error
         *
         * @param paperModule 组卷模块：collect,error
         */
        public Builder paperModule(String paperModule) {
            obj.setPaperModule(paperModule);
            return this;
        }

        public UserPaperQuestion build() {
            return this.obj;
        }
    }
}