package com.qxgmat.controller.admin;

import com.github.pagehelper.Page;
import com.nuliji.tools.PageMessage;
import com.nuliji.tools.Response;
import com.nuliji.tools.ResponseHelp;
import com.nuliji.tools.Transform;
import com.qxgmat.data.dao.entity.*;
import com.qxgmat.dto.admin.extend.UserExtendDto;
import com.qxgmat.dto.admin.response.FeedbackErrorListDto;
import com.qxgmat.dto.admin.response.UserAskListDto;
import com.qxgmat.service.UsersService;
import com.qxgmat.service.inline.FeedbackErrorService;
import com.qxgmat.service.inline.ManagerLogService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpSession;
import java.util.Collection;
import java.util.List;

@RestController("AdminFeedbackErrorController")
@RequestMapping("/admin/feedback_error")
@Api(tags = "用户勘误接口", description = "用户勘误相关", produces = MediaType.APPLICATION_JSON_VALUE)
public class FeedbackErrorController {
    @Autowired
    private ManagerLogService managerLogService;

    @Autowired
    private FeedbackErrorService feedbackErrorService;

    @Autowired
    private UsersService usersService;


    @RequestMapping(value = "/list", method = RequestMethod.GET)
    @ApiOperation(value = "勘误列表", httpMethod = "GET")
    public Response<PageMessage<FeedbackErrorListDto>> list(
            @RequestParam(required = false, defaultValue = "1") int page,
            @RequestParam(required = false, defaultValue = "100") int size,
            HttpSession session) {
        Page<FeedbackError> p = feedbackErrorService.select(page, size);
        List<FeedbackErrorListDto> pr = Transform.convert(p, FeedbackErrorListDto.class);

        // 绑定用户
        Collection userIds = Transform.getIds(p, UserAsk.class, "userId");
        List<User> userList = usersService.select(userIds);
        List<UserExtendDto> userExtendDtoList = Transform.convert(userList, UserExtendDto.class);
        Transform.combine(pr, userExtendDtoList, UserAskListDto.class, "userId", "user", UserExtendDto.class, "id");


        return ResponseHelp.success(pr, page, size, p.getTotal());
    }
}
