package com.qxgmat.controller.admin;


import com.nuliji.tools.Response;
import com.nuliji.tools.ResponseHelp;
import com.nuliji.tools.Transform;
import com.qxgmat.data.dao.entity.Question;
import com.qxgmat.dto.admin.request.QuestionDto;
import com.qxgmat.service.ExercisePaperService;
import com.qxgmat.service.inline.ManagerLogService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@RestController("AdminQuestionController")
@RequestMapping("/admin/question")
@Api(tags = "题目接口", description = "题目相关", produces = MediaType.APPLICATION_JSON_VALUE)
public class QuestionController {

    @Autowired
    private ManagerLogService managerLogService;

    @Autowired
    private ExercisePaperService exercisePaperService;

    @RequestMapping(value = "/add", method = RequestMethod.POST)
    @ApiOperation(value = "添加题目", httpMethod = "POST")
    public Response<Question> add(@RequestBody @Validated QuestionDto dto, HttpServletRequest request) {
        Question entity = Transform.dtoToEntity(dto);
        // 添加
//        entity.setModule(QuestionModule.EXERCISE.key);
        entity = exercisePaperService.addQuestion(entity);
        managerLogService.log(request);
        return ResponseHelp.success(entity);
    }

    @RequestMapping(value = "/edit", method = RequestMethod.PUT)
    @ApiOperation(value = "修改题目", httpMethod = "PUT")
    public Response<Boolean> edit(@RequestBody @Validated QuestionDto dto, HttpServletRequest request) {
        Question entity = Transform.dtoToEntity(dto);
        // 添加
//        entity.setModule(QuestionModule.EXERCISE.key);
//        entity = exercisePaperService.editQuestion(entity);
        managerLogService.log(request);
        return ResponseHelp.success(true);
    }
}
