package com.qxgmat.dto.admin.request;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.Question;
import com.qxgmat.dto.admin.extend.QuestionNoExtendDto;
import org.json.JSONObject;

import javax.validation.constraints.NotEmpty;

@Dto(entity = Question.class)
public class QuestionDto {

    private Integer id;

    private String[] keyword;

    @NotEmpty(message = "题型不能为空！")
    private String type;

    @NotEmpty(message = "考点不能为空！")
    private String place;

    @NotEmpty(message = "难度不能为空！")
    private String difficult;

    private QuestionNoExtendDto questionIds;

    private String qxContent;

    private String officialContent;

    private String associationContent;

    private JSONObject answer;

    private JSONObject style;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public QuestionNoExtendDto getQuestionIds() {
        return questionIds;
    }

    public void setQuestionIds(QuestionNoExtendDto questionIds) {
        this.questionIds = questionIds;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getPlace() {
        return place;
    }

    public void setPlace(String place) {
        this.place = place;
    }

    public String getDifficult() {
        return difficult;
    }

    public void setDifficult(String difficult) {
        this.difficult = difficult;
    }

    public String[] getKeyword() {
        return keyword;
    }

    public void setKeyword(String[] keyword) {
        this.keyword = keyword;
    }

    public String getQxContent() {
        return qxContent;
    }

    public void setQxContent(String qxContent) {
        this.qxContent = qxContent;
    }

    public String getOfficialContent() {
        return officialContent;
    }

    public void setOfficialContent(String officialContent) {
        this.officialContent = officialContent;
    }

    public String getAssociationContent() {
        return associationContent;
    }

    public void setAssociationContent(String associationContent) {
        this.associationContent = associationContent;
    }

    public JSONObject getAnswer() {
        return answer;
    }

    public void setAnswer(JSONObject answer) {
        this.answer = answer;
    }

    public JSONObject getStyle() {
        return style;
    }

    public void setStyle(JSONObject style) {
        this.style = style;
    }
}
