package com.qxgmat.service.inline;

import com.github.pagehelper.Page;
import com.nuliji.tools.AbstractService;
import com.nuliji.tools.exception.ParameterException;
import com.nuliji.tools.exception.SystemException;
import com.qxgmat.data.dao.ExercisePaperMapper;
import com.qxgmat.data.dao.ExercisePaperQuestionMapper;
import com.qxgmat.data.dao.entity.ExercisePaper;
import com.qxgmat.data.dao.entity.ExercisePaperQuestion;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;

@Service
public class ExercisePaperQuestionService extends AbstractService {
    private static final Logger logger = LoggerFactory.getLogger(ExercisePaperQuestionService.class);

    @Resource
    private ExercisePaperQuestionMapper exercisePaperQuestionMapper;

    public ExercisePaperQuestion add(ExercisePaperQuestion question){
        int result = insert(exercisePaperQuestionMapper, question);
        question = one(exercisePaperQuestionMapper, question.getId());
        if(question == null){
            throw new SystemException("组卷添加失败");
        }
        return question;
    }

    public ExercisePaperQuestion edit(ExercisePaperQuestion question){
        ExercisePaperQuestion in = one(exercisePaperQuestionMapper, question.getId());
        if(in == null){
            throw new ParameterException("组卷不存在");
        }
        int result = update(exercisePaperQuestionMapper, question);
        return question;
    }

    public boolean delete(Number id){
        ExercisePaperQuestion in = one(exercisePaperQuestionMapper, id);
        if(in == null){
            throw new ParameterException("组卷不存在");
        }
        int result = delete(exercisePaperQuestionMapper, id);
        return result > 0;
    }

    public ExercisePaperQuestion selectOne(Number id){
        ExercisePaperQuestion in = one(exercisePaperQuestionMapper, id);

        if(in == null){
            throw new ParameterException("组卷不存在");
        }
        return in;
    }

    public Page<ExercisePaperQuestion> select(int page, int pageSize){
        return select(exercisePaperQuestionMapper, page, pageSize);
    }

    public List<ExercisePaperQuestion> select(Collection ids){
        return select(exercisePaperQuestionMapper, ids);
    }

}
