package com.qxgmat.service.inline;

import com.github.pagehelper.Page;
import com.nuliji.tools.AbstractService;
import com.nuliji.tools.exception.ParameterException;
import com.nuliji.tools.exception.SystemException;
import com.qxgmat.data.dao.AdMapper;
import com.qxgmat.data.dao.FeedbackErrorMapper;
import com.qxgmat.data.dao.entity.Ad;
import com.qxgmat.data.dao.entity.FeedbackError;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;

@Service
public class FeedbackErrorService extends AbstractService {
    private static final Logger logger = LoggerFactory.getLogger(FeedbackErrorService.class);

    @Resource
    private FeedbackErrorMapper feedbackErrorMapper;

    public FeedbackError add(FeedbackError feedbackError){
        int result = insert(feedbackErrorMapper, feedbackError);
        feedbackError = one(feedbackErrorMapper, feedbackError.getId());
        if(feedbackError == null){
            throw new SystemException("勘误添加失败");
        }
        return feedbackError;
    }

    public FeedbackError edit(FeedbackError feedbackError){
        FeedbackError in = one(feedbackErrorMapper, feedbackError.getId());
        if(in == null){
            throw new ParameterException("勘误不存在");
        }
        int result = update(feedbackErrorMapper, feedbackError);
        return feedbackError;
    }

    public boolean delete(Number id){
        FeedbackError in = one(feedbackErrorMapper, id);
        if(in == null){
            throw new ParameterException("勘误不存在");
        }
        int result = delete(feedbackErrorMapper, id);
        return result > 0;
    }

    public FeedbackError selectOne(Number id){
        FeedbackError in = one(feedbackErrorMapper, id);

        if(in == null){
            throw new ParameterException("勘误不存在");
        }
        return in;
    }

    public Page<FeedbackError> select(int page, int pageSize){
        return select(feedbackErrorMapper, page, pageSize);
    }

    public List<FeedbackError> select(Collection ids){
        return select(feedbackErrorMapper, ids);
    }

}
