package com.qxgmat.service.inline;

import com.github.pagehelper.Page;
import com.nuliji.tools.AbstractService;
import com.nuliji.tools.exception.ParameterException;
import com.nuliji.tools.exception.SystemException;
import com.qxgmat.data.dao.QuestionNoMapper;
import com.qxgmat.data.dao.entity.QuestionNo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;

@Service
public class QuestionNoService extends AbstractService {
    private static final Logger logger = LoggerFactory.getLogger(QuestionNoService.class);

    @Resource
    private QuestionNoMapper questionNoMapper;

    public QuestionNo add(QuestionNo question){
        int result = insert(questionNoMapper, question);
        question = one(questionNoMapper, question.getId());
        if(question == null){
            throw new SystemException("题目添加失败");
        }
        return question;
    }

    public QuestionNo edit(QuestionNo question){
        QuestionNo in = one(questionNoMapper, question.getId());
        if(in == null){
            throw new ParameterException("题目不存在");
        }
        int result = update(questionNoMapper, question);
        return question;
    }

    public boolean delete(Number id){
        QuestionNo in = one(questionNoMapper, id);
        if(in == null){
            throw new ParameterException("题目不存在");
        }
        int result = delete(questionNoMapper, id);
        return result > 0;
    }

    public QuestionNo selectOne(Number id){
        QuestionNo in = one(questionNoMapper, id);

        if(in == null){
            throw new ParameterException("题目不存在");
        }
        return in;
    }

    public Page<QuestionNo> select(int page, int pageSize){
        return select(questionNoMapper, page, pageSize);
    }

    public List<QuestionNo> select(Collection ids){
        return select(questionNoMapper, ids);
    }

}
