package com.qxgmat.service.inline;

import com.github.pagehelper.Page;
import com.nuliji.tools.AbstractService;
import com.nuliji.tools.exception.ParameterException;
import com.nuliji.tools.exception.SystemException;
import com.qxgmat.data.dao.RankMapper;
import com.qxgmat.data.dao.entity.Rank;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;

@Service
public class RankService extends AbstractService {
    private static final Logger logger = LoggerFactory.getLogger(RankService.class);

    @Resource
    private RankMapper rankMapper;

    public Rank add(Rank rank){
        int result = insert(rankMapper, rank);
        rank = one(rankMapper, rank.getId());
        if(rank == null){
            throw new SystemException("添加失败");
        }
        return rank;
    }

    public Rank edit(Rank rank){
        Rank in = one(rankMapper, rank.getId());
        if(in == null){
            throw new ParameterException("排名不存在");
        }
        int result = update(rankMapper, rank);
        return rank;
    }

    public boolean delete(Number id){
        Rank in = one(rankMapper, id);
        if(in == null){
            throw new ParameterException("排名不存在");
        }
        int result = delete(rankMapper, id);
        return result > 0;
    }

    public Rank selectOne(Number id){
        Rank in = one(rankMapper, id);

        if(in == null){
            throw new ParameterException("排名不存在");
        }
        return in;
    }

    public Page<Rank> select(int page, int pageSize){
        return select(rankMapper, page, pageSize);
    }

    public List<Rank> select(Collection ids){
        return select(rankMapper, ids);
    }

}
