package com.qxgmat.service.inline;

import com.github.pagehelper.Page;
import com.nuliji.tools.AbstractService;
import com.nuliji.tools.exception.ParameterException;
import com.nuliji.tools.exception.SystemException;
import com.qxgmat.data.dao.UserAskMapper;
import com.qxgmat.data.dao.UserCollectMapper;
import com.qxgmat.data.dao.entity.UserAsk;
import com.qxgmat.data.dao.entity.UserCollect;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;

@Service
public class UserCollectService extends AbstractService {
    private static final Logger logger = LoggerFactory.getLogger(UserCollectService.class);

    @Resource
    private UserCollectMapper userCollectMapper;

    public UserCollect add(UserCollect collect){
        int result = insert(userCollectMapper, collect);
        collect = one(userCollectMapper, collect.getId());
        if(collect == null){
            throw new SystemException("收藏添加失败");
        }
        return collect;
    }

    public UserCollect edit(UserCollect collect){
        UserCollect in = one(userCollectMapper, collect.getId());
        if(in == null){
            throw new ParameterException("收藏不存在");
        }
        int result = update(userCollectMapper, collect);
        return collect;
    }

    public boolean delete(Number id){
        UserCollect in = one(userCollectMapper, id);
        if(in == null){
            throw new ParameterException("收藏不存在");
        }
        int result = delete(userCollectMapper, id);
        return result > 0;
    }

    public UserCollect selectOne(Number id){
        UserCollect in = one(userCollectMapper, id);

        if(in == null){
            throw new ParameterException("收藏不存在");
        }
        return in;
    }

    public Page<UserCollect> select(int page, int pageSize){
        return select(userCollectMapper, page, pageSize);
    }

    public List<UserCollect> select(Collection ids){
        return select(userCollectMapper, ids);
    }

}
