package com.qxgmat.service.inline;

import com.github.pagehelper.Page;
import com.nuliji.tools.AbstractService;
import com.nuliji.tools.exception.ParameterException;
import com.nuliji.tools.exception.SystemException;
import com.qxgmat.data.dao.UserCollectMapper;
import com.qxgmat.data.dao.UserNoteMapper;
import com.qxgmat.data.dao.entity.UserCollect;
import com.qxgmat.data.dao.entity.UserNote;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;

@Service
public class UserNoteService extends AbstractService {
    private static final Logger logger = LoggerFactory.getLogger(UserNoteService.class);

    @Resource
    private UserNoteMapper userNoteMapper;

    public UserNote add(UserNote note){
        int result = insert(userNoteMapper, note);
        note = one(userNoteMapper, note.getId());
        if(note == null){
            throw new SystemException("笔记添加失败");
        }
        return note;
    }

    public UserNote edit(UserNote note){
        UserNote in = one(userNoteMapper, note.getId());
        if(in == null){
            throw new ParameterException("笔记不存在");
        }
        int result = update(userNoteMapper, note);
        return note;
    }

    public boolean delete(Number id){
        UserNote in = one(userNoteMapper, id);
        if(in == null){
            throw new ParameterException("笔记不存在");
        }
        int result = delete(userNoteMapper, id);
        return result > 0;
    }

    public UserNote selectOne(Number id){
        UserNote in = one(userNoteMapper, id);

        if(in == null){
            throw new ParameterException("笔记不存在");
        }
        return in;
    }

    public Page<UserNote> select(int page, int pageSize){
        return select(userNoteMapper, page, pageSize);
    }

    public List<UserNote> select(Collection ids){
        return select(userNoteMapper, ids);
    }

}
