package com.qxgmat.service.inline;

import com.github.pagehelper.Page;
import com.nuliji.tools.AbstractService;
import com.nuliji.tools.Transform;
import com.nuliji.tools.exception.ParameterException;
import com.nuliji.tools.exception.SystemException;
import com.qxgmat.data.dao.UserCollectMapper;
import com.qxgmat.data.dao.UserPaperMapper;
import com.qxgmat.data.dao.entity.UserCollect;
import com.qxgmat.data.dao.entity.UserPaper;
import com.qxgmat.data.relation.UserPaperRelationMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;

@Service
public class UserPaperService extends AbstractService {
    private static final Logger logger = LoggerFactory.getLogger(UserPaperService.class);

    @Resource
    private UserPaperMapper userPaperMapper;

    @Resource
    private UserPaperRelationMapper userPaperRelationMapper;

    public Page<UserPaper> homeworkPreview(int page, int pageSize, Number category, Number userId, Number previewId, String startTime, String endTime){
        Page<UserPaper> p= page(() -> {
            userPaperRelationMapper.listHomeworkPreview(category, userId, previewId, startTime, endTime);
        }, page, pageSize);

        Collection ids = Transform.getIds(p, UserPaper.class, "id");
        Transform.replace(p, select(ids), UserPaper.class, "id");
        return p;
    }

    public UserPaper add(UserPaper paper){
        int result = insert(userPaperMapper, paper);
        paper = one(userPaperMapper, paper.getId());
        if(paper == null){
            throw new SystemException("组卷添加失败");
        }
        return paper;
    }

    public UserPaper edit(UserPaper paper){
        UserPaper in = one(userPaperMapper, paper.getId());
        if(in == null){
            throw new ParameterException("组卷不存在");
        }
        int result = update(userPaperMapper, paper);
        return paper;
    }

    public boolean delete(Number id){
        UserPaper in = one(userPaperMapper, id);
        if(in == null){
            throw new ParameterException("组卷不存在");
        }
        int result = delete(userPaperMapper, id);
        return result > 0;
    }

    public UserPaper selectOne(Number id){
        UserPaper in = one(userPaperMapper, id);

        if(in == null){
            throw new ParameterException("组卷不存在");
        }
        return in;
    }

    public Page<UserPaper> select(int page, int pageSize){
        return select(userPaperMapper, page, pageSize);
    }

    public List<UserPaper> select(Collection ids){
        return select(userPaperMapper, ids);
    }

}
