package com.qxgmat.service.inline;

import com.github.pagehelper.Page;
import com.nuliji.tools.AbstractService;
import com.nuliji.tools.exception.ParameterException;
import com.nuliji.tools.exception.SystemException;
import com.qxgmat.data.dao.UserNoteMapper;
import com.qxgmat.data.dao.UserPayMapper;
import com.qxgmat.data.dao.entity.UserNote;
import com.qxgmat.data.dao.entity.UserPay;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;

@Service
public class UserPayService extends AbstractService {
    private static final Logger logger = LoggerFactory.getLogger(UserPayService.class);

    @Resource
    private UserPayMapper userPayMapper;

    public UserPay add(UserPay pay){
        int result = insert(userPayMapper, pay);
        pay = one(userPayMapper, pay.getId());
        if(pay == null){
            throw new SystemException("支付添加失败");
        }
        return pay;
    }

    public UserPay edit(UserPay pay){
        UserPay in = one(userPayMapper, pay.getId());
        if(in == null){
            throw new ParameterException("支付记录不存在");
        }
        int result = update(userPayMapper, pay);
        return pay;
    }

    public boolean delete(Number id){
        UserPay in = one(userPayMapper, id);
        if(in == null){
            throw new ParameterException("支付记录不存在");
        }
        int result = delete(userPayMapper, id);
        return result > 0;
    }

    public UserPay selectOne(Number id){
        UserPay in = one(userPayMapper, id);

        if(in == null){
            throw new ParameterException("支付记录不存在");
        }
        return in;
    }

    public Page<UserPay> select(int page, int pageSize){
        return select(userPayMapper, page, pageSize);
    }

    public List<UserPay> select(Collection ids){
        return select(userPayMapper, ids);
    }

}
