package com.qxgmat.service.inline;

import com.github.pagehelper.Page;
import com.nuliji.tools.AbstractService;
import com.nuliji.tools.Transform;
import com.nuliji.tools.exception.ParameterException;
import com.nuliji.tools.exception.SystemException;
import com.qxgmat.data.dao.UserQuestionMapper;
import com.qxgmat.data.dao.UserReportMapper;
import com.qxgmat.data.dao.entity.UserQuestion;
import com.qxgmat.data.dao.entity.UserReport;
import com.qxgmat.data.relation.UserReportRelationMapper;
import com.qxgmat.util.shiro.UserRealm;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;

@Service
public class UserReportService extends AbstractService {
    private static final Logger logger = LoggerFactory.getLogger(UserReportService.class);

    @Resource
    private UserReportMapper userReportMapper;
    @Resource
    private UserReportRelationMapper userReportRelationMapper;

    public Page<UserReport> listHomeworkPreviewAdmin(int page, int pageSize, Number category, Number userId, Number previewId, String startTime, String endTime){
        Page<UserReport> p= page(() -> {
            userReportRelationMapper.listHomeworkPreviewAdmin(category, userId, previewId, startTime, endTime);
        }, page, pageSize);

        Collection ids = Transform.getIds(p, UserReport.class, "id");
        Transform.replace(p, select(ids), UserReport.class, "id");
        return p;
    }

    public UserReport add(UserReport report){
        int result = insert(userReportMapper, report);
        report = one(userReportMapper, report.getId());
        if(report == null){
            throw new SystemException("用户报告添加失败");
        }
        return report;
    }

    public UserReport edit(UserReport report){
        UserReport in = one(userReportMapper, report.getId());
        if(in == null){
            throw new ParameterException("用户报告不存在");
        }
        int result = update(userReportMapper, report);
        return report;
    }

    public boolean delete(Number id){
        UserReport in = one(userReportMapper, id);
        if(in == null){
            throw new ParameterException("用户报告不存在");
        }
        int result = delete(userReportMapper, id);
        return result > 0;
    }

    public UserReport selectOne(Number id){
        UserReport in = one(userReportMapper, id);

        if(in == null){
            throw new ParameterException("用户报告不存在");
        }
        return in;
    }

    public Page<UserReport> select(int page, int pageSize){
        return select(userReportMapper, page, pageSize);
    }

    public List<UserReport> select(Collection ids){
        return select(userReportMapper, ids);
    }

}
