package com.qxgmat.service.inline;

import com.github.pagehelper.Page;
import com.nuliji.tools.AbstractService;
import com.nuliji.tools.exception.ParameterException;
import com.nuliji.tools.exception.SystemException;
import com.qxgmat.data.dao.SentenceQuestionMapper;
import com.qxgmat.data.dao.UserSentenceProcessMapper;
import com.qxgmat.data.dao.entity.SentenceQuestion;
import com.qxgmat.data.dao.entity.UserSentenceProcess;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;

@Service
public class UserSentenceProcessService extends AbstractService {
    private static final Logger logger = LoggerFactory.getLogger(UserSentenceProcessService.class);

    @Resource
    private UserSentenceProcessMapper userSentenceProcessMapper;

    public UserSentenceProcess add(UserSentenceProcess process){
        int result = insert(userSentenceProcessMapper, process);
        process = one(userSentenceProcessMapper, process.getId());
        if(process == null){
            throw new SystemException("进度添加失败");
        }
        return process;
    }

    public UserSentenceProcess edit(UserSentenceProcess process){
        UserSentenceProcess in = one(userSentenceProcessMapper, process.getId());
        if(in == null){
            throw new ParameterException("进度不存在");
        }
        int result = update(userSentenceProcessMapper, process);
        return process;
    }

    public boolean delete(Number id){
        UserSentenceProcess in = one(userSentenceProcessMapper, id);
        if(in == null){
            throw new ParameterException("进度不存在");
        }
        int result = delete(userSentenceProcessMapper, id);
        return result > 0;
    }

    public UserSentenceProcess selectOne(Number id){
        UserSentenceProcess in = one(userSentenceProcessMapper, id);

        if(in == null){
            throw new ParameterException("进度不存在");
        }
        return in;
    }

    public Page<UserSentenceProcess> select(int page, int pageSize){
        return select(userSentenceProcessMapper, page, pageSize);
    }

    public List<UserSentenceProcess> select(Collection ids){
        return select(userSentenceProcessMapper, ids);
    }

}
